API referenceData groups
List subtopics
GET
/data-groupsFilter by projectId (a project’s subtopics) or moduleId; omit both for all of the org’s subtopics.
Authorization
bearerAuth AuthorizationBearer <token>
An API key created in Settings → API Keys.
In: header
Query Parameters
projectId?string
Format
uuidmoduleId?string
Format
uuidname?string
Exact name match
search?string
Partial match on name/description
limit?integer
Max rows to return (default 50, max 1000).
Range
1 <= value <= 1000Default
50offset?integer
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/data-groups"{ "data": { "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "path": "string", "description": "string", "isActive": true, "mainGroupId": "72f81c21-cf8c-4aa2-872e-9639e1c569d1", "llmInputTypeId": "13458eb4-c15b-4eb4-82b4-9d5195fae1ec", "extractionModeId": "fb3e280e-ad29-4cab-88ac-d5edc02ff2dd", "preprocessingModeId": "c1dae635-70c1-4ca4-a963-48608df3075b", "promptGroupId": "c9c1855e-dccf-458d-b030-73985bcd7a8e", "llmModelId": "87b8957f-711b-4065-a0f0-40027ffcaa0f", "dataMainGroup": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "moduleId": "eb49de5a-d93f-4a73-a032-bfeee6879098", "module": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "sourceModuleId": "78c0b142-f806-425a-a1e7-547deeedebae", "isBaseModule": true } }, "llmInputType": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" }, "extractionMode": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" }, "preprocessingMode": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" }, "promptGroup": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" }, "llmModel": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" } } ], "total": 0 }, "meta": { "requestId": "string", "timestamp": "string" }}